// $Id: J4ParameterListManager.hh,v 1.1.1.1 2002/11/01 05:49:37 fujiik Exp $
#ifndef __J4VPARAMETERLISTMANAGER__
#define __J4VPARAMETERLISTMANAGER__
//********************************************************************
//* ---------------------
//* J4ParameterListManager.hh
//* ---------------------
//* (Description)
//* 	Management class for ParameterLists.
//* 	It must be singleton.
//*     
//* (Update Record)
//*	2000/12/20  K.Hoshina	Original version.
//********************************************************************

#include "J4TypeDef.hh"

// ====================================================================
// ----------------
// class definition
// ----------------

 
class J4ParameterListManager
{
 
 public:

   J4ParameterListManager();

   virtual ~J4ParameterListManager();  
   
   virtual void PrintAllParameters();
  
   // getter

   inline static J4ParameterListManager *GetParameterListManager()
                                         { return fgParameterListManager; }
   inline static J4ObjArray              GetParameterLists()  
                                         { return fgParameterLists; }

//   J4VParameterList *GetParameterList(const G4String &n) const; 
          
 private:

   static J4ParameterListManager *fgParameterListManager;  
   static J4ObjArray              fgParameterLists;  
  
};

//=========================================================
//* inline functions


#endif
