// $Id: J4MagneticField.hh,v 1.1.1.1 2002/05/02 07:56:58 hoshina Exp $
#ifndef __J4MAGNETICFIELD__
#define __J4MAGNETICFIELD__
//*************************************************************************
//* --------------------
//* J4MagneticField
//* --------------------
//* (Description)
//* 	This class applies magnetic field.
//*     Mother class : J4Object
//*    
//* (Update Record)
//*	2002/09/13  T.Aso	Original version.
//*************************************************************************

#include "globals.hh"
#include "J4Object.hh"
#include "G4ThreeVector.hh"

// ====================================================================
// -----------------------
// class definition
// -----------------------

class J4MagneticField :public J4Object{

public:

  J4MagneticField();
  virtual ~J4MagneticField();

  virtual void GetLocalFieldValue(G4ThreeVector& position, 
  			     G4ThreeVector& bfield,G4bool& onlyFlag );  
  virtual void GetLocalValidBox(G4double* Lpos);

private:

};

#endif

